//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace FQ.MD.WEB.Models
{
    using System;
    using System.Collections.Generic;

    public partial class GT_MASTER_ROLE_MENUS
    {
        public int RoleMenuId { get; set; }
        public int RoleId { get; set; }
        public int MenuId { get; set; }
        public bool GrantCreate { get; set; }
        public bool GrantRead { get; set; }
        public bool GrantUpdate { get; set; }
        public bool GrantDelete { get; set; }
        public bool GrantSync { get; set; }
        public bool GrantUpload { get; set; }
        public bool IsActive { get; set; }
        public Nullable<int> InactivatedBy { get; set; }
        public Nullable<System.DateTime> InactivatedDate { get; set; }
        public int CreatedBy { get; set; }
        public System.DateTime CreatedDate { get; set; }
        public Nullable<int> LastUpdatedBy { get; set; }
        public Nullable<System.DateTime> LastUpdatedDate { get; set; }
        public bool IsDeleted { get; set; }
        public Nullable<int> DeletedBy { get; set; }
        public Nullable<System.DateTime> DeletedDate { get; set; }
        public string Remark { get; set; }

        public virtual GT_MASTER_MENUS GT_MASTER_MENUS { get; set; }
        public virtual GT_MASTER_ROLES GT_MASTER_ROLES { get; set; }
    }
}
